curl --request POST \
--url https://data.us.algolia.com/1/transformations \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"code": "lorem",
"name": "lorem",
"type": "code",
"input": {
"code": "lorem"
},
"description": "lorem",
"authenticationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.CreateTransformationAsync(
new TransformationCreate
{
Input = new TransformationInput(new TransformationCode { Code = "foo" }),
Type = Enum.Parse<TransformationType>("Code"),
Name = "bar",
Description = "baz",
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.createTransformation(
transformationCreate: TransformationCreate(
input: TransformationCode(
code: "foo",
),
type: TransformationType.fromJson("code"),
name: "bar",
description: "baz",
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.CreateTransformation(client.NewApiCreateTransformationRequest(
ingestion.NewEmptyTransformationCreate().SetInput(ingestion.TransformationCodeAsTransformationInput(
ingestion.NewEmptyTransformationCode().
SetCode("foo"),
)).SetType(ingestion.TransformationType("code")).SetName("bar").SetDescription("baz")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
TransformationCreateResponse response = client.createTransformation(
new TransformationCreate()
.setInput(new TransformationCode().setCode("foo"))
.setType(TransformationType.CODE)
.setName("bar")
.setDescription("baz")
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.createTransformation({
input: { code: 'foo' },
type: 'code',
name: 'bar',
description: 'baz',
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.createTransformation(
transformationCreate =
TransformationCreate(
input = TransformationCode(code = "foo"),
type = TransformationType.entries.first { it.value == "code" },
name = "bar",
description = "baz",
)
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->createTransformation(
['input' => ['code' => 'foo',
],
'type' => 'code',
'name' => 'bar',
'description' => 'baz',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.create_transformation(
transformation_create={
"input": {
"code": "foo",
},
"type": "code",
"name": "bar",
"description": "baz",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.create_transformation(
Algolia::Ingestion::TransformationCreate.new(
input: Algolia::Ingestion::TransformationCode.new(code: "foo"),
type: "code",
name: "bar",
description: "baz"
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.createTransformation(
transformationCreate = TransformationCreate(
input = Some(
TransformationCode(
code = "foo"
)
),
`type` = Some(TransformationType.withName("code")),
name = "bar",
description = Some("baz")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.createTransformation(transformationCreate: TransformationCreate(
name: "bar",
type: TransformationType.code,
input: TransformationInput.transformationCode(TransformationCode(code: "foo")),
description: "baz"
))
// print the response
print(response){
"createdAt": "<string>",
"transformationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
}{
"message": "Invalid Application-Id or API-Key"
}Create a transformation
Creates a new transformation.
curl --request POST \
--url https://data.us.algolia.com/1/transformations \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"code": "lorem",
"name": "lorem",
"type": "code",
"input": {
"code": "lorem"
},
"description": "lorem",
"authenticationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.CreateTransformationAsync(
new TransformationCreate
{
Input = new TransformationInput(new TransformationCode { Code = "foo" }),
Type = Enum.Parse<TransformationType>("Code"),
Name = "bar",
Description = "baz",
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.createTransformation(
transformationCreate: TransformationCreate(
input: TransformationCode(
code: "foo",
),
type: TransformationType.fromJson("code"),
name: "bar",
description: "baz",
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.CreateTransformation(client.NewApiCreateTransformationRequest(
ingestion.NewEmptyTransformationCreate().SetInput(ingestion.TransformationCodeAsTransformationInput(
ingestion.NewEmptyTransformationCode().
SetCode("foo"),
)).SetType(ingestion.TransformationType("code")).SetName("bar").SetDescription("baz")))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
TransformationCreateResponse response = client.createTransformation(
new TransformationCreate()
.setInput(new TransformationCode().setCode("foo"))
.setType(TransformationType.CODE)
.setName("bar")
.setDescription("baz")
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.createTransformation({
input: { code: 'foo' },
type: 'code',
name: 'bar',
description: 'baz',
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.createTransformation(
transformationCreate =
TransformationCreate(
input = TransformationCode(code = "foo"),
type = TransformationType.entries.first { it.value == "code" },
name = "bar",
description = "baz",
)
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->createTransformation(
['input' => ['code' => 'foo',
],
'type' => 'code',
'name' => 'bar',
'description' => 'baz',
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.create_transformation(
transformation_create={
"input": {
"code": "foo",
},
"type": "code",
"name": "bar",
"description": "baz",
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.create_transformation(
Algolia::Ingestion::TransformationCreate.new(
input: Algolia::Ingestion::TransformationCode.new(code: "foo"),
type: "code",
name: "bar",
description: "baz"
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.createTransformation(
transformationCreate = TransformationCreate(
input = Some(
TransformationCode(
code = "foo"
)
),
`type` = Some(TransformationType.withName("code")),
name = "bar",
description = Some("baz")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.createTransformation(transformationCreate: TransformationCreate(
name: "bar",
type: TransformationType.code,
input: TransformationInput.transformationCode(TransformationCode(code: "foo")),
description: "baz"
))
// print the response
print(response){
"createdAt": "<string>",
"transformationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
}{
"message": "Invalid Application-Id or API-Key"
}addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Body
Request body for creating a transformation.
API request body for creating a transformation.
The uniquely identified name of your transformation.
The authentications associated with the current transformation.
Universally unique identifier (UUID) of an authentication resource.
It is deprecated. Use the input field with proper type instead to specify the transformation code.
A descriptive name for your transformation of what it does.
The input for the transformation, which can be either code or a no-code configuration.
- Code
- No-code
Show child attributes
Show child attributes
The type of transformation, which can be either 'code' or 'noCode'.
code, noCode Was this page helpful?